<?php
	// Usage Examples:
	//   to get latest image (first available satellite & enhancement):
	//	latest.php
	//
	//   to get latest composite image (first available enhancement):
	//	latest.php?type=composite
	//
	//   to get latest MSA image:
	//	latest.php?enh=MSA
	//
	//   to get latest MSA image excluing NOAA 17 (add minus sign in
	//   front of sat to exclude):
	//	latest.php?enh=MSA&sat=-NOAA-17
	//
	//   to get latest MCIR thumbnail image:
	//	latest.php?enh=MCIR&type=thumbnail
	//
	//   to get latest NOAA 19 Pristine image:
	//	latest.php?sat=NOAA-19&enh=Pristine
	//
	//   to get latest MSA composite image thumbnail:
	//	latest.php?type=composite-thumbnail&enh=MSA
	//
	//   to get latest MSA image where HTML filename is 'index.htm':
	//	latest.php?index=index.htm&enh=MSA
	//
	//   this can be embeded in your web page, for example:
	//	<img src="/wxtoimg/latest.php?index=index.htm&enh=MSA&type=thumbnail" alt="Latest WXtoImg image" />
	//

	$satpage="index.html";

	// -------------------------------------------------------------------
	// do not change anything below here
	// this is written to conform with PHP4, PHP5, and PHP6
	// -------------------------------------------------------------------
	$satpage = @$_GET['index'];
	$sat = @$_GET['sat'];
	$enh = @$_GET['enh'];
	$type = @$_GET['type'];

	$dir = dirname($_SERVER['SCRIPT_FILENAME']) . '/';
	$htmlpath = $dir . $satpage;

	// open satellite html file
	$fp = @fopen($htmlpath, "r");
	if ($fp) {
		// look for first line matching what we want
		$file = "";
		while (!feof($fp)) {
			$line = @fgets($fp, 32768);

			// we look only add the addImg lines
			if (stristr($line, 'addImg') === FALSE)
				continue;

			// if we are looking for a composite image, then
			// ignore all other lines.  If not looking for
			// composite then ignore composite images.
			if (stristr($type, 'comp') !== FALSE) {
				if (stristr($line, ", '0', '0'") === FALSE)
					continue;
			} else {
				if (stristr($line, ", '0', '0'") !== FALSE)
					continue;
			}

			// now just ensure the image is for the satellite and
			// enhancement we are after

			if ($sat != "" && substr($sat, 0, 1) == "-") {
				if (stristr($line, substr($sat,1)) !== FALSE)
					continue;
			} else if ($sat != "" && stristr($line, $sat) === FALSE) {
				continue;
			}

			if ($enh != "" && stristr($line, $enh) === FALSE) {
				continue;
			}

			// if we reached here, we've got the line we want
			// extract the filename
			$line = trim($line);
			$line = str_replace('addImg(', '', $line);
			$args = explode(', ', $line);
			if (stristr($type, 'thumb') !== FALSE) {
				$file = $args[1];
			} else {
				$file = $args[0];
			}
			$file = str_replace("'", '', $file);
			break;
		}

		if ($file == "") {
			// if we reached here, we didn't find anything
			header("Content-Type: text/plain"); 
			echo "Could not image matching: $sat $enh $type in '$htmlpath'\n";
			@fclose($fp);
		} else {
			$jpegpath = $dir . $file;
			header("Content-Type: image/jpeg"); 
			header("Content-Length: " . filesize($jpegpath)); 
			readfile($jpegpath);
		}
	} else {
		header("Content-Type: text/plain"); 
		echo "Could not open satellite page '$htmlpath'\n";
	}
?>
